import pandas as pd
import matplotlib.pyplot as plt
import matplotlib.dates as mdates

df = pd.read_csv('out.csv')
print(df)
df.timestr = df.hour.astype(str).str.zfill(2) + ":" + df.minute.astype(str).str.zfill(2) + ':00'
print(df.timestr)
df["timestamp"] = pd.to_datetime(df.timestr)
plt.plot(df["rank"], df.timestamp)
plt.gca().yaxis.set_major_formatter(mdates.DateFormatter('%H:%M'))
plt.ylabel("Time of Day")
plt.xlabel("Cumulative Feedings")
plt.show()